import { StringTransformer } from "./string.js";
import { omitByUndefined } from "../../../utils/omit-by-undefined.js";
export class HtmlTransformer extends StringTransformer {
    toCreateSingleFieldDefinition(modelField) {
        return omitByUndefined({
            ...this.modelFieldToSharedCreateProperties(modelField),
            type: "html",
        });
    }
    toCreateListFieldDefinition(modelField) {
        return omitByUndefined({
            ...this.modelFieldToSharedCreateProperties(modelField),
            type: "list",
            items: {
                type: "html",
            },
        });
    }
    get visualEditorFieldType() {
        return "html";
    }
}
//# sourceMappingURL=html.js.map