import { StringTransformer } from "./string.js";
import { omitByUndefined } from "../../../utils/omit-by-undefined.js";
export class MarkdownTransformer extends StringTransformer {
    toCreateSingleFieldDefinition(modelField) {
        return omitByUndefined({
            ...this.modelFieldToSharedCreateProperties(modelField),
            type: "markdown",
        });
    }
    toCreateListFieldDefinition(modelField) {
        return omitByUndefined({
            ...this.modelFieldToSharedCreateProperties(modelField),
            type: "list",
            items: {
                type: "markdown",
            },
        });
    }
    get visualEditorFieldType() {
        return "markdown";
    }
}
//# sourceMappingURL=markdown.js.map