import { StringTransformer } from "./string.js";
import { omitByUndefined } from "../../../utils/omit-by-undefined.js";
export class SlugTransformer extends StringTransformer {
    toCreateSingleFieldDefinition(modelField) {
        return omitByUndefined({
            ...this.modelFieldToSharedCreateProperties(modelField),
            type: "slug",
        });
    }
    toCreateListFieldDefinition(modelField) {
        return omitByUndefined({
            ...this.modelFieldToSharedCreateProperties(modelField),
            type: "list",
            items: {
                type: "slug",
            },
        });
    }
    get visualEditorFieldType() {
        return "slug";
    }
}
//# sourceMappingURL=slug.js.map