import { StringTransformer } from "./string.js";
import { omitByUndefined } from "../../../utils/omit-by-undefined.js";
export class TextTransformer extends StringTransformer {
    toCreateSingleFieldDefinition(modelField) {
        return omitByUndefined({
            ...this.modelFieldToSharedCreateProperties(modelField),
            type: "text",
        });
    }
    toCreateListFieldDefinition(modelField) {
        return omitByUndefined({
            ...this.modelFieldToSharedCreateProperties(modelField),
            type: "list",
            items: {
                type: "text",
            },
        });
    }
    get visualEditorFieldType() {
        return "text";
    }
}
//# sourceMappingURL=text.js.map