import { ModelTransformer, ModelTransformerImplementation, ModelTreeContext } from "../transformer.js";
import { Editor } from "../types.js";
import { ResolvedModelField } from "../definition.js";
export declare class UnionTransformer extends ModelTransformer implements ModelTransformerImplementation {
    toConnectDefinition(): string;
    toConnectSingleFieldDefinition(field: ResolvedModelField): string;
    toConnectListFieldDefinition(field: ResolvedModelField): string;
    toCreateDefinition(): null;
    toCreateListFieldDefinition(field: ResolvedModelField): null | Editor.FieldList;
    toCreateSingleFieldDefinition(field: ResolvedModelField): null | Editor.FieldReference | Editor.FieldModel;
    private getUnionEditorProperties;
    parseVisitedInputSingle(visited: any, field: ResolvedModelField, treeContext: ModelTreeContext): unknown;
    parseVisitedInputList(input: unknown, field: ResolvedModelField, treeContext: ModelTreeContext): unknown;
    toConnectSingleFieldValue(input: any, field: ResolvedModelField, treeContext: ModelTreeContext): unknown;
    toConnectSingleFieldValueLocalized(input: Record<string, unknown>, field: ResolvedModelField, treeContext: ModelTreeContext): unknown;
    toConnectListFieldValue(input: any, field: ResolvedModelField, treeContext: ModelTreeContext): unknown;
    toCreateListFieldValue(modelFieldValue: any, field: ResolvedModelField, treeContext: ModelTreeContext): unknown;
    toCreateSingleFieldValueLocalized(input: Record<string, unknown>, field: ResolvedModelField, treeContext: ModelTreeContext): Editor.DocumentModelFieldLocalized | Editor.DocumentReferenceFieldLocalized;
    private toCreateObjectValue;
    private toCreateReferenceValue;
    toCreateSingleFieldValue(input: any, field: ResolvedModelField, treeContext: ModelTreeContext): Editor.DocumentModelFieldNonLocalized | (Editor.DocumentReferenceFieldNonLocalized & {
        _connectId: string;
        fields?: string;
    });
    private parseToMemberType;
    private parseInputRawId;
}
//# sourceMappingURL=union.d.ts.map