import type { ContentSourceInterface } from "@stackbit/types";
import type { NetlifyExtension } from "../../index.js";
export default class CreateConnector implements ContentSourceInterface<any, any, any, any, any> {
    extension: Promise<NetlifyExtension<import("zod").ZodUnknown, import("zod").ZodUnknown, import("zod").ZodUnknown, import("zod").ZodUnknown, import("zod").ZodUnknown>>;
    options: Record<string, any>;
    private instanceID;
    private connector;
    constructor(args?: {
        options?: Record<string, any>;
    });
    private get bridge();
    getContentSourceType(): string;
    getProjectId(): string;
    getVersion(): Promise<{
        interfaceVersion: string;
        contentSourceVersion: string;
    }>;
    getProjectEnvironment(): string;
    reset(): Promise<void>;
    destroy(): Promise<void>;
    getSchema(): Promise<{
        models: (import("@stackbit/types").ObjectModel<unknown> | import("@stackbit/types").PageModel<unknown> | import("@stackbit/types").DataModel<unknown>)[];
        locales: import("@stackbit/types").Locale[];
        context: {};
    }>;
    validateDocuments(): Promise<{
        errors: never[];
    }>;
    getLocales: () => import("@stackbit/types").Locale[];
    getProjectManageUrl: () => string;
    init: (args: any) => Promise<void>;
    getDocuments: () => Promise<import("@stackbit/types").Document<unknown>[]>;
    getAssets: () => Promise<import("@stackbit/types").Asset<unknown>[]>;
    hasAccess: (args: any) => Promise<any>;
    uploadAsset: (args: any) => Promise<import("@stackbit/types").Asset<unknown>>;
    updateDocument: (args: any) => Promise<void>;
    createDocument: (args: any) => Promise<{
        documentId: string;
    }>;
    deleteDocument: (args: any) => Promise<void>;
    publishDocuments: (args: any) => Promise<void>;
    getModels: () => Promise<(import("@stackbit/types").ObjectModel<unknown> | import("@stackbit/types").PageModel<unknown> | import("@stackbit/types").DataModel<unknown>)[] | undefined>;
    getScheduledActions?: ContentSourceInterface["getScheduledActions"];
    createScheduledAction?: ContentSourceInterface["createScheduledAction"];
    updateScheduledAction?: ContentSourceInterface["updateScheduledAction"];
    cancelScheduledAction?: ContentSourceInterface["cancelScheduledAction"];
    getContentEngineConfig?: ContentSourceInterface["getContentEngineConfig"];
}
//# sourceMappingURL=netlify-create.template.d.ts.map