import { StackbitConfig } from "@stackbit/types";
export type CreateConfig = Omit<StackbitConfig, "stackbitVersion" | "devCommand" | "contentEngine" | "contentModels" | "models" | "modelsSource" | "logicFields" | "noEncodeFields" | "omitFields" | "encodedFieldTypes" | "cmsName" | "staticDir" | "uploadDir" | "assets" | "pagesDir" | "dataDir" | "pageLayoutKey" | "objectTypeKey" | "excludePages"> & {
    netlifyCreateVersion: string;
};
export declare function convertCreateConfigToStackbitConfig(config: CreateConfig): {
    actions?: (import("@stackbit/types").CustomActionGlobal | import("@stackbit/types").CustomActionBulk)[] | undefined;
    ssgName?: typeof import("@stackbit/types").SSG_NAMES[number] | undefined;
    ssgVersion?: string | undefined;
    nodeVersion?: string | undefined;
    useESM?: boolean | undefined;
    postGitCloneCommand?: string | undefined;
    preInstallCommand?: string | undefined;
    postInstallCommand?: string | undefined;
    installCommand?: string | undefined;
    import?: import("@stackbit/types").Import | undefined;
    buildCommand?: string | undefined;
    publishDir?: string | undefined;
    cacheDir?: string | undefined;
    styleObjectModelName?: (string | null) | undefined;
    presetSource?: import("@stackbit/types").PresetSource | undefined;
    sidebarButtons?: import("@stackbit/types").SidebarButton[] | undefined;
    siteMap?: import("@stackbit/types").SiteMapFunction | undefined;
    sitemap?: import("@stackbit/types").SiteMapFunction | undefined;
    transformSitemap?: ((options: import("@stackbit/types").ConfigDelegate & {
        sitemap: import("@stackbit/types").SiteMapEntry[];
        userContext: import("@stackbit/types").User;
    }) => import("@stackbit/types").SiteMapEntry[]) | undefined;
    treeViews?: import("@stackbit/types").TreeViewsFunction | undefined;
    transformTreeViews?: ((options: import("@stackbit/types").ConfigDelegate & {
        treeViews: import("@stackbit/types").TreeViewNode[];
        userContext: import("@stackbit/types").User;
    }) => import("@stackbit/types").TreeViewNode[]) | undefined;
    presetReferenceBehavior?: ("copyReference" | "duplicateContents") | undefined;
    nonDuplicatableModels?: string[] | undefined;
    duplicatableModels?: string[] | undefined;
    customContentReload?: boolean | undefined;
    experimental?: import("@stackbit/types").Experimental | undefined;
    contentSources?: import("@stackbit/types").ContentSourceInterface<any, any, any, any, any>[] | undefined;
    connectors?: {
        integration: any;
        config: any;
    }[] | undefined;
    assetSources?: import("@stackbit/types").AssetSource[] | undefined;
    viewports?: import("@stackbit/types").Viewport[] | undefined;
    mapModels?: ((options: {
        models: import("@stackbit/types").ModelWithSource[];
    }) => import("@stackbit/types").ModelWithSource[]) | undefined;
    modelExtensions?: import("@stackbit/types").ModelExtension[] | undefined;
    permissionsForModel?: ((options: import("@stackbit/types").ConfigDelegate & {
        model: import("@stackbit/types").ModelWithSource;
        userContext: import("@stackbit/types").User;
    }) => import("@stackbit/types").ModelPermissions | undefined) | undefined;
    mapDocuments?: ((options: {
        documents: import("@stackbit/types").DocumentWithSource[];
        models: import("@stackbit/types").ModelWithSource[];
    }) => import("@stackbit/types").DocumentWithSource[]) | undefined;
    permissionsForDocument?: ((options: import("@stackbit/types").ConfigDelegate & {
        document: import("@stackbit/types").DocumentWithSource;
        userContext: import("@stackbit/types").User;
    }) => import("@stackbit/types").DocumentPermissions | undefined) | undefined;
    filterAsset?: ((options: import("@stackbit/types").ConfigDelegate & {
        asset: import("@stackbit/types").AssetWithSource;
        userContext: import("@stackbit/types").User;
    }) => boolean | undefined) | undefined;
    onContentCreate?: ((options: import("@stackbit/types").OnContentCreateOptions) => Record<string, any>) | undefined;
    onDocumentCreate?: ((options: import("@stackbit/types").OnDocumentCreateOptions) => ReturnType<import("@stackbit/types").ContentSourceInterface["createDocument"]>) | undefined;
    onDocumentUpdate?: ((options: import("@stackbit/types").OnDocumentUpdateOptions) => ReturnType<import("@stackbit/types").ContentSourceInterface["updateDocument"]>) | undefined;
    onDocumentDelete?: ((options: import("@stackbit/types").OnDocumentDeleteOptions) => ReturnType<import("@stackbit/types").ContentSourceInterface["deleteDocument"]>) | undefined;
    onDocumentArchive?: ((options: import("@stackbit/types").OnDocumentArchiveOptions) => import("@stackbit/types").ReturnTypeOfCSIMethod<"archiveDocument">) | undefined;
    onDocumentUnarchive?: ((options: import("@stackbit/types").OnDocumentUnarchiveOptions) => import("@stackbit/types").ReturnTypeOfCSIMethod<"unarchiveDocument">) | undefined;
    onDocumentsPublish?: ((options: import("@stackbit/types").OnDocumentsPublishOptions) => ReturnType<import("@stackbit/types").ContentSourceInterface["publishDocuments"]>) | undefined;
    onDocumentsUnpublish?: ((options: import("@stackbit/types").OnDocumentsUnpublishOptions) => import("@stackbit/types").ReturnTypeOfCSIMethod<"unpublishDocuments">) | undefined;
    stackbitVersion: string;
};
export declare function configureNetlifyCreate(config: CreateConfig): {
    actions?: (import("@stackbit/types").CustomActionGlobal | import("@stackbit/types").CustomActionBulk)[] | undefined;
    ssgName?: typeof import("@stackbit/types").SSG_NAMES[number] | undefined;
    ssgVersion?: string | undefined;
    nodeVersion?: string | undefined;
    useESM?: boolean | undefined;
    postGitCloneCommand?: string | undefined;
    preInstallCommand?: string | undefined;
    postInstallCommand?: string | undefined;
    installCommand?: string | undefined;
    import?: import("@stackbit/types").Import | undefined;
    buildCommand?: string | undefined;
    publishDir?: string | undefined;
    cacheDir?: string | undefined;
    styleObjectModelName?: (string | null) | undefined;
    presetSource?: import("@stackbit/types").PresetSource | undefined;
    sidebarButtons?: import("@stackbit/types").SidebarButton[] | undefined;
    siteMap?: import("@stackbit/types").SiteMapFunction | undefined;
    sitemap?: import("@stackbit/types").SiteMapFunction | undefined;
    transformSitemap?: ((options: import("@stackbit/types").ConfigDelegate & {
        sitemap: import("@stackbit/types").SiteMapEntry[];
        userContext: import("@stackbit/types").User;
    }) => import("@stackbit/types").SiteMapEntry[]) | undefined;
    treeViews?: import("@stackbit/types").TreeViewsFunction | undefined;
    transformTreeViews?: ((options: import("@stackbit/types").ConfigDelegate & {
        treeViews: import("@stackbit/types").TreeViewNode[];
        userContext: import("@stackbit/types").User;
    }) => import("@stackbit/types").TreeViewNode[]) | undefined;
    presetReferenceBehavior?: ("copyReference" | "duplicateContents") | undefined;
    nonDuplicatableModels?: string[] | undefined;
    duplicatableModels?: string[] | undefined;
    customContentReload?: boolean | undefined;
    experimental?: import("@stackbit/types").Experimental | undefined;
    contentSources?: import("@stackbit/types").ContentSourceInterface<any, any, any, any, any>[] | undefined;
    connectors?: {
        integration: any;
        config: any;
    }[] | undefined;
    assetSources?: import("@stackbit/types").AssetSource[] | undefined;
    viewports?: import("@stackbit/types").Viewport[] | undefined;
    mapModels?: ((options: {
        models: import("@stackbit/types").ModelWithSource[];
    }) => import("@stackbit/types").ModelWithSource[]) | undefined;
    modelExtensions?: import("@stackbit/types").ModelExtension[] | undefined;
    permissionsForModel?: ((options: import("@stackbit/types").ConfigDelegate & {
        model: import("@stackbit/types").ModelWithSource;
        userContext: import("@stackbit/types").User;
    }) => import("@stackbit/types").ModelPermissions | undefined) | undefined;
    mapDocuments?: ((options: {
        documents: import("@stackbit/types").DocumentWithSource[];
        models: import("@stackbit/types").ModelWithSource[];
    }) => import("@stackbit/types").DocumentWithSource[]) | undefined;
    permissionsForDocument?: ((options: import("@stackbit/types").ConfigDelegate & {
        document: import("@stackbit/types").DocumentWithSource;
        userContext: import("@stackbit/types").User;
    }) => import("@stackbit/types").DocumentPermissions | undefined) | undefined;
    filterAsset?: ((options: import("@stackbit/types").ConfigDelegate & {
        asset: import("@stackbit/types").AssetWithSource;
        userContext: import("@stackbit/types").User;
    }) => boolean | undefined) | undefined;
    onContentCreate?: ((options: import("@stackbit/types").OnContentCreateOptions) => Record<string, any>) | undefined;
    onDocumentCreate?: ((options: import("@stackbit/types").OnDocumentCreateOptions) => ReturnType<import("@stackbit/types").ContentSourceInterface["createDocument"]>) | undefined;
    onDocumentUpdate?: ((options: import("@stackbit/types").OnDocumentUpdateOptions) => ReturnType<import("@stackbit/types").ContentSourceInterface["updateDocument"]>) | undefined;
    onDocumentDelete?: ((options: import("@stackbit/types").OnDocumentDeleteOptions) => ReturnType<import("@stackbit/types").ContentSourceInterface["deleteDocument"]>) | undefined;
    onDocumentArchive?: ((options: import("@stackbit/types").OnDocumentArchiveOptions) => import("@stackbit/types").ReturnTypeOfCSIMethod<"archiveDocument">) | undefined;
    onDocumentUnarchive?: ((options: import("@stackbit/types").OnDocumentUnarchiveOptions) => import("@stackbit/types").ReturnTypeOfCSIMethod<"unarchiveDocument">) | undefined;
    onDocumentsPublish?: ((options: import("@stackbit/types").OnDocumentsPublishOptions) => ReturnType<import("@stackbit/types").ContentSourceInterface["publishDocuments"]>) | undefined;
    onDocumentsUnpublish?: ((options: import("@stackbit/types").OnDocumentsUnpublishOptions) => import("@stackbit/types").ReturnTypeOfCSIMethod<"unpublishDocuments">) | undefined;
    stackbitVersion: string;
};
//# sourceMappingURL=create-config.d.ts.map