import { xxHash32 } from "js-xxhash";
import stringify from "safe-stable-stringify";
export const fastHash = (jsonLike) => {
    const id = xxHash32(Buffer.from(
    // safe-stable-stringify is used to ensure that the stringified object is always the same, even if the order of the keys changes
    stringify(jsonLike), "utf8")).toString(16);
    return id;
};
//# sourceMappingURL=fast-hash.js.map