import { type ExtensionConfiguration } from "../extension_configuration/schema.js";
/**
 * resolveExtensionConfiguration locates an extension configuration file and loads and parses it.
 * If siteId is specified, or if `process.env.SITE_ID` is non-empty, we'll attempt to load a
 *
 * https://github.com/netlify/jigsaw/blob/ac353af25164239465ed005ed987027308ac2dfa/api/meta.go#L14-L34
 *
 * If a configuration doesn't exist, or if the configuration is invalid, it throws
 */
export declare const resolveExtensionConfiguration: ({ cwd, siteId, signal, }: {
    cwd: string;
    siteId?: string | undefined;
    signal?: AbortSignal | undefined;
}) => Promise<ExtensionConfiguration>;
//# sourceMappingURL=resolve.d.ts.map